org.apache.tiles.request.portlet

## Class RenderPortletRequest

- java.lang.Object
- - org.apache.tiles.request.AbstractRequest
  - - org.apache.tiles.request.AbstractClientRequest
    - - org.apache.tiles.request.portlet.PortletRequest
      - - org.apache.tiles.request.portlet.RenderPortletRequest

- All Implemented Interfaces:
    DispatchRequest, Request

      public class RenderPortletRequest
      extends PortletRequest

  Portlet request for a `RenderRequest`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tiles.request.portlet.PortletRequest

      `context, request, requestDelegate, response, responseDelegate`

    - ### Fields inherited from class org.apache.tiles.request.AbstractRequest

      `FORCE_INCLUDE_ATTRIBUTE_NAME`

    - ### Fields inherited from interface org.apache.tiles.request.Request

      `APPLICATION_SCOPE, REQUEST_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderPortletRequest(ApplicationContext applicationContext, javax.portlet.PortletContext context, javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tiles.request.portlet.PortletRequest

      `doForward, doInclude, getAvailableScopes, getContext, getHeader, getHeaderValues, getOutputStream, getParam, getParamValues, getPortletContext, getPortletSessionScope, getPrintWriter, getRequest, getRequestLocale, getRequestScope, getResponseHeaders, getSessionScope, getWriter, isResponseCommitted, isUserInRole, setContentType`

    - ### Methods inherited from class org.apache.tiles.request.AbstractClientRequest

      `dispatch, getApplicationContext, getApplicationScope, include`

    - ### Methods inherited from class org.apache.tiles.request.AbstractRequest

      `isForceInclude, setForceInclude`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderPortletRequest

          public RenderPortletRequest(ApplicationContext applicationContext,
                                      javax.portlet.PortletContext context,
                                      javax.portlet.RenderRequest request,
                                      javax.portlet.RenderResponse response)

      Constructor.
      Parameters:
        `applicationContext` - The application context.
        `context` - The portlet context.
        `request` - The portlet request.
        `response` - The portlet response.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.